﻿-- ********************************************************************************
-- Broker Statistics
-- A Data Broker display for combat statistics.
-- By: Shenton
--
-- Variables.lua
-- Variables, constants and static popup tables.
-- ********************************************************************************

local A = _G["DataBrokerStatisticsGlobal"];

-- ********************************************************************************
-- Variables
-- ********************************************************************************

-- Player spec
A.playerSpec = "Default";

-- ********************************************************************************
-- Constants
-- ********************************************************************************

-- AddOn version
A.version = GetAddOnMetadata("Broker_Stats", "Version");

-- Text colors
A.colorRed = "|cffff3333";
A.colorGreen = "|cff33ff99";
A.colorWhite = "|cffffffff";
A.colorReset = "|r";

-- Dropdown menu align right
A.ddmAlignRight = "     ";

-- Default LDB Icon
A.defaultLdbIcon = "Interface\\ICONS\\Spell_Magic_PolymorphRabbit";

-- Default stat icon
A.defaultStatIcon = "Interface\\ICONS\\Spell_Magic_PolymorphRabbit";

-- Database revision
A.databaseRevision = 3;

-- No icon, icon (Doh!)
A.noIconIcon = "Interface\\PaperDollInfoFrame\\UI-GearManager-LeaveItem-Transparent";

-- Alert textures
A.alertTextures =
{
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura1.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura2.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura3.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura4.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura5.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura6.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura7.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura8.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura9.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura10.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura11.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura12.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura13.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura14.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura15.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura16.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura17.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura18.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura19.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura20.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura21.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura22.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura23.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura24.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura25.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura26.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura27.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura28.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura29.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura30.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura31.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura32.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura33.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura34.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura35.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura36.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura37.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura38.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura39.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura40.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura41.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura42.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura43.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura44.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura45.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura46.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura47.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura48.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura49.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura50.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura51.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura52.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura53.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura54.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura55.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura56.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura57.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura58.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura59.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura60.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura61.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura62.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura63.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura64.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura65.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura66.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura67.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura68.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura69.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura70.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura71.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura72.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura73.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura74.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura75.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura76.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura77.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura78.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura79.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura80.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura81.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura82.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura83.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura84.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura85.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura86.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura87.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura88.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura89.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura90.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura91.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura92.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura93.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura94.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura95.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura96.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura97.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura98.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura99.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura100.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura101.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura102.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura103.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura104.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura105.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura106.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura107.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura108.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura109.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura110.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura111.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura112.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura113.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura114.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura115.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura116.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura117.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura118.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura119.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura120.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura121.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura122.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura123.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura124.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura125.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura126.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura127.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura128.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura129.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura130.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura131.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura132.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura133.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura134.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura135.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura136.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura137.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura138.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura139.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura140.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura141.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura142.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura143.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura144.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura145.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura146.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura147.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura148.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura149.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura150.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura151.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura152.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura153.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura154.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura155.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura156.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura157.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura158.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura159.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura160.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura161.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura162.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura163.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura164.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura165.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura166.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura167.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura168.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura169.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura170.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura171.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura172.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura173.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura174.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura175.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura176.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura177.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura178.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura179.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura180.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura181.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura182.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura183.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura184.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura185.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura186.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura187.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura188.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura189.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura190.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura191.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura192.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura193.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura194.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura195.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura196.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura197.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura198.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura199.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura200.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura201.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura202.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura203.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura204.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura205.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura206.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura207.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura208.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura209.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura210.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura211.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura212.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura213.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura214.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura215.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura216.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura217.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura218.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura219.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura220.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura221.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura222.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura223.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura224.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura225.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura226.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura227.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura228.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura229.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura230.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura231.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura232.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura233.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura234.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura235.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura236.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura237.tga",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Auras\\Aura238.tga",
    "Interface\\PVPFrame\\Icons\\PVP-Banner-Emblem-1",
    "Interface\\PVPFrame\\Icons\\PVP-Banner-Emblem-2",
    "Interface\\PVPFrame\\Icons\\PVP-Banner-Emblem-3",
    "Interface\\PVPFrame\\Icons\\PVP-Banner-Emblem-4",
    "Interface\\PVPFrame\\Icons\\PVP-Banner-Emblem-5",
    "Interface\\PVPFrame\\Icons\\PVP-Banner-Emblem-6",
    "Interface\\PVPFrame\\Icons\\PVP-Banner-Emblem-7",
    "Interface\\PVPFrame\\Icons\\PVP-Banner-Emblem-8",
    "Interface\\PVPFrame\\Icons\\PVP-Banner-Emblem-9",
    "Interface\\PVPFrame\\Icons\\PVP-Banner-Emblem-10",
    "Interface\\PVPFrame\\Icons\\PVP-Banner-Emblem-11",
    "Interface\\PVPFrame\\Icons\\PVP-Banner-Emblem-12",
    "Interface\\PVPFrame\\Icons\\PVP-Banner-Emblem-13",
    "Interface\\PVPFrame\\Icons\\PVP-Banner-Emblem-14",
    "Interface\\PVPFrame\\Icons\\PVP-Banner-Emblem-15",
    "Interface\\PVPFrame\\Icons\\PVP-Banner-Emblem-16",
    "Interface\\PVPFrame\\Icons\\PVP-Banner-Emblem-17",
    "Interface\\PVPFrame\\Icons\\PVP-Banner-Emblem-18",
    "Interface\\PVPFrame\\Icons\\PVP-Banner-Emblem-19",
    "Interface\\PVPFrame\\Icons\\PVP-Banner-Emblem-20",
    "Interface\\PVPFrame\\Icons\\PVP-Banner-Emblem-21",
    "Interface\\PVPFrame\\Icons\\PVP-Banner-Emblem-22",
    "Interface\\PVPFrame\\Icons\\PVP-Banner-Emblem-23",
    "Interface\\PVPFrame\\Icons\\PVP-Banner-Emblem-24",
    "Interface\\PVPFrame\\Icons\\PVP-Banner-Emblem-25",
    "Interface\\PVPFrame\\Icons\\PVP-Banner-Emblem-26",
    "Interface\\PVPFrame\\Icons\\PVP-Banner-Emblem-27",
    "Interface\\PVPFrame\\Icons\\PVP-Banner-Emblem-28",
    "Interface\\PVPFrame\\Icons\\PVP-Banner-Emblem-29",
    "Interface\\PVPFrame\\Icons\\PVP-Banner-Emblem-30",
    "Interface\\PVPFrame\\Icons\\PVP-Banner-Emblem-31",
    "Interface\\PVPFrame\\Icons\\PVP-Banner-Emblem-32",
    "Interface\\PVPFrame\\Icons\\PVP-Banner-Emblem-33",
    "Interface\\PVPFrame\\Icons\\PVP-Banner-Emblem-34",
    "Interface\\PVPFrame\\Icons\\PVP-Banner-Emblem-35",
    "Interface\\PVPFrame\\Icons\\PVP-Banner-Emblem-36",
    "Interface\\PVPFrame\\Icons\\PVP-Banner-Emblem-37",
    "Interface\\PVPFrame\\Icons\\PVP-Banner-Emblem-38",
    "Interface\\PVPFrame\\Icons\\PVP-Banner-Emblem-39",
    "Interface\\PVPFrame\\Icons\\PVP-Banner-Emblem-40",
    "Interface\\PVPFrame\\Icons\\PVP-Banner-Emblem-41",
    "Interface\\PVPFrame\\Icons\\PVP-Banner-Emblem-42",
    "Interface\\PVPFrame\\Icons\\PVP-Banner-Emblem-43",
    "Interface\\PVPFrame\\Icons\\PVP-Banner-Emblem-44",
    "Interface\\PVPFrame\\Icons\\PVP-Banner-Emblem-45",
    "Interface\\PVPFrame\\Icons\\PVP-Banner-Emblem-46",
    "Interface\\PVPFrame\\Icons\\PVP-Banner-Emblem-47",
    "Interface\\PVPFrame\\Icons\\PVP-Banner-Emblem-48",
    "Interface\\PVPFrame\\Icons\\PVP-Banner-Emblem-49",
    "Interface\\PVPFrame\\Icons\\PVP-Banner-Emblem-50",
    "Interface\\PVPFrame\\Icons\\PVP-Banner-Emblem-51",
    "Interface\\PVPFrame\\Icons\\PVP-Banner-Emblem-52",
    "Interface\\PVPFrame\\Icons\\PVP-Banner-Emblem-53",
    "Interface\\PVPFrame\\Icons\\PVP-Banner-Emblem-54",
    "Interface\\PVPFrame\\Icons\\PVP-Banner-Emblem-55",
    "Interface\\PVPFrame\\Icons\\PVP-Banner-Emblem-56",
    "Interface\\PVPFrame\\Icons\\PVP-Banner-Emblem-57",
    "Interface\\PVPFrame\\Icons\\PVP-Banner-Emblem-58",
    "Interface\\PVPFrame\\Icons\\PVP-Banner-Emblem-59",
    "Interface\\PVPFrame\\Icons\\PVP-Banner-Emblem-60",
    "Interface\\PVPFrame\\Icons\\PVP-Banner-Emblem-61",
    "Interface\\PVPFrame\\Icons\\PVP-Banner-Emblem-62",
    "Interface\\PVPFrame\\Icons\\PVP-Banner-Emblem-63",
    "Interface\\PVPFrame\\Icons\\PVP-Banner-Emblem-64",
    "Interface\\PVPFrame\\Icons\\PVP-Banner-Emblem-65",
    "Interface\\PVPFrame\\Icons\\PVP-Banner-Emblem-66",
    "Interface\\PVPFrame\\Icons\\PVP-Banner-Emblem-67",
    "Interface\\PVPFrame\\Icons\\PVP-Banner-Emblem-68",
    "Interface\\PVPFrame\\Icons\\PVP-Banner-Emblem-69",
    "Interface\\PVPFrame\\Icons\\PVP-Banner-Emblem-70",
    "Interface\\PVPFrame\\Icons\\PVP-Banner-Emblem-71",
    "Interface\\PVPFrame\\Icons\\PVP-Banner-Emblem-72",
    "Interface\\PVPFrame\\Icons\\PVP-Banner-Emblem-73",
    "Interface\\PVPFrame\\Icons\\PVP-Banner-Emblem-74",
    "Interface\\PVPFrame\\Icons\\PVP-Banner-Emblem-75",
    "Interface\\PVPFrame\\Icons\\PVP-Banner-Emblem-76",
    "Interface\\PVPFrame\\Icons\\PVP-Banner-Emblem-77",
    "Interface\\PVPFrame\\Icons\\PVP-Banner-Emblem-78",
    "Interface\\PVPFrame\\Icons\\PVP-Banner-Emblem-79",
    "Interface\\PVPFrame\\Icons\\PVP-Banner-Emblem-80",
    "Interface\\PVPFrame\\Icons\\PVP-Banner-Emblem-81",
    "Interface\\PVPFrame\\Icons\\PVP-Banner-Emblem-82",
    "Interface\\PVPFrame\\Icons\\PVP-Banner-Emblem-83",
    "Interface\\PVPFrame\\Icons\\PVP-Banner-Emblem-84",
    "Interface\\PVPFrame\\Icons\\PVP-Banner-Emblem-85",
    "Interface\\PVPFrame\\Icons\\PVP-Banner-Emblem-86",
    "Interface\\PVPFrame\\Icons\\PVP-Banner-Emblem-87",
    "Interface\\PVPFrame\\Icons\\PVP-Banner-Emblem-88",
    "Interface\\PVPFrame\\Icons\\PVP-Banner-Emblem-89",
    "Interface\\PVPFrame\\Icons\\PVP-Banner-Emblem-90",
    "Interface\\PVPFrame\\Icons\\PVP-Banner-Emblem-91",
    "Interface\\PVPFrame\\Icons\\PVP-Banner-Emblem-92",
    "Interface\\PVPFrame\\Icons\\PVP-Banner-Emblem-93",
    "Interface\\PVPFrame\\Icons\\PVP-Banner-Emblem-94",
    "Interface\\PVPFrame\\Icons\\PVP-Banner-Emblem-95",
    "Interface\\PVPFrame\\Icons\\PVP-Banner-Emblem-96",
    "Interface\\PVPFrame\\Icons\\PVP-Banner-Emblem-97",
    "Interface\\PVPFrame\\Icons\\PVP-Banner-Emblem-98",
    "Interface\\PVPFrame\\Icons\\PVP-Banner-Emblem-99",
    "Interface\\PVPFrame\\Icons\\PVP-Banner-Emblem-100",
    "Interface\\PVPFrame\\Icons\\PVP-Banner-Emblem-101",
};

A.alertSounds =
{
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Sounds\\aggro.ogg",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Sounds\\Arrow_Swoosh.ogg",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Sounds\\bam.ogg",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Sounds\\bear_polar.ogg",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Sounds\\bigkiss.ogg",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Sounds\\BITE.ogg",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Sounds\\burp4.ogg",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Sounds\\cat2.ogg",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Sounds\\chant2.ogg",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Sounds\\chant4.ogg",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Sounds\\chimes.ogg",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Sounds\\cookie.ogg",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Sounds\\ESPARK1.ogg",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Sounds\\Fireball.ogg",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Sounds\\Gasp.ogg",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Sounds\\heartbeat.ogg",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Sounds\\hic3.ogg",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Sounds\\huh_1.ogg",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Sounds\\hurricane.ogg",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Sounds\\hyena.ogg",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Sounds\\kaching.ogg",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Sounds\\moan.ogg",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Sounds\\panther1.ogg",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Sounds\\phone.ogg",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Sounds\\PUNCH.ogg",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Sounds\\rainroof.ogg",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Sounds\\rocket.ogg",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Sounds\\shipswhistle.ogg",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Sounds\\shot.ogg",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Sounds\\snakeatt.ogg",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Sounds\\sneeze.ogg",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Sounds\\sonar.ogg",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Sounds\\splash.ogg",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Sounds\\Squeakypig.ogg",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Sounds\\swordecho.ogg",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Sounds\\throwknife.ogg",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Sounds\\thunder.ogg",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Sounds\\wickedmalelaugh1.ogg",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Sounds\\wilhelm.ogg",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Sounds\\wlaugh.ogg",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Sounds\\wolf5.ogg",
    "Interface\\AddOns\\Broker_Stats\\Media\\PowerAurasMedia\\Sounds\\yeehaw.ogg",
};

-- ********************************************************************************
-- Built in stats
-- ********************************************************************************

-- Built in stats table
A.builtInStats =
{
    [A.L["Speed"]] =
    {
        type = "misc",
        pre = A.L["Speed: "],
        post = "%",
        round = 0,
        calc = [[
return GetUnitSpeed("player") / BASE_MOVEMENT_SPEED * 100;
        ]]
    },
    [A.L["Avoidance"]] =
    {
        type = "tank",
        pre = A.L["Av: "],
        post = "%",
        round = 2,
        calc = [[
return GetDodgeChance() + GetBlockChance() + GetParryChance() + 5;
        ]]
    },
    [A.L["Attack Power"]] =
    {
        type = "melee",
        pre = A.L["AP: "],
        calc = [[
local base, posBuff, negBuff = UnitAttackPower("player");

return base + posBuff + negBuff;
        ]]
    },
    [A.L["Armor"]] =
    {
        type = "tank",
        pre = A.L["Armor: "],
        calc = [[
local _, effectiveArmor = UnitArmor("player");

return effectiveArmor;
        ]]
    },
    [A.L["Attack Speed"]] =
    {
        type = "melee",
        pre = A.L["Aspd: "],
        multiple = 1,
        separator = "/",
        round = 2,
        calc = [[
local mainSpeed, offSpeed = UnitAttackSpeed("player");

return mainSpeed, offSpeed;
        ]]
    },
    [A.L["Weapon Damage"]] =
    {
        type = "melee",
        pre = A.L["Wd: "],
        multiple = 1,
        separator = "/",
        calc = [[
local mainSpeed, offSpeed = UnitAttackSpeed("player");
local minDamage, maxDamage, minOffHandDamage, maxOffHandDamage, physicalBonusPos, physicalBonusNeg, percent = UnitDamage("player");

minDamage = (minDamage / percent) - physicalBonusPos - physicalBonusNeg;
maxDamage = (maxDamage / percent) - physicalBonusPos - physicalBonusNeg;

if ( offSpeed ) then
    minOffHandDamage = (minOffHandDamage / percent) - physicalBonusPos - physicalBonusNeg;
    maxOffHandDamage = (maxOffHandDamage / percent) - physicalBonusPos - physicalBonusNeg;

    return max(floor(minDamage), 1).."-"..max(ceil(maxDamage), 1), max(floor(minOffHandDamage), 1).."-"..max(ceil(maxOffHandDamage), 1);
else
    return max(floor(minDamage), 1).."-"..max(ceil(maxDamage), 1);
end
        ]]
    },
    [A.L["Strength"]] =
    {
        type = "misc",
        pre = A.L["Str: "],
        calc = [[
local _, stat = UnitStat("player", 1);

return stat;
        ]]
    },
    [A.L["Agility"]] =
    {
        type = "misc",
        pre = A.L["Agi: "],
        calc = [[
local _, stat = UnitStat("player", 2);

return stat;
        ]]
    },
    [A.L["Stamina"]] =
    {
        type = "misc",
        pre = A.L["Sta: "],
        calc = [[
local _, stat = UnitStat("player", 3);

return stat;
        ]]
    },
    [A.L["Intellect"]] =
    {
        type = "misc",
        pre = A.L["Int: "],
        calc = [[
local _, stat = UnitStat("player", 4);

return stat;
        ]]
    },
    [A.L["Spirit"]] =
    {
        type = "misc",
        pre = A.L["Spi: "],
        calc = [[
local _, stat = UnitStat("player", 5);

return stat;
        ]]
    },
    [A.L["Ranged Attack Power"]] =
    {
        type = "ranged",
        pre = A.L["RAP: "],
        calc = [[
local base, posBuff, negBuff = UnitRangedAttackPower("player");

return base + posBuff + negBuff;
        ]]
    },
    [A.L["Ranged Weapon Damage"]] =
    {
        type = "ranged",
        pre = A.L["Rwd: "],
        calc = [[
local _, minDamage, maxDamage, physicalBonusPos, physicalBonusNeg, percent = UnitRangedDamage("player");

minDamage = (minDamage / percent) - physicalBonusPos - physicalBonusNeg;
maxDamage = (maxDamage / percent) - physicalBonusPos - physicalBonusNeg;

return max(floor(minDamage), 1).."-"..max(ceil(maxDamage), 1);
        ]]
    },
    [A.L["Ranged Weapon Speed"]] =
    {
        type = "ranged",
        pre = A.L["Rspd: "],
        round = 2,
        calc = [[
return UnitRangedDamage("player");
        ]]
    },
--    [A.L["Armor Penetration"]] =
--    {
--        type = "misc",
--        pre = A.L["ArPen: "],
--        post = "%",
--        round = 2,
--        calc = [[
--return GetArmorPenetration();
--        ]]
--    },
    [A.L["Critical Chance"]] =
    {
        type = "melee",
        pre = A.L["CC: "],
        post = "%",
        round = 2,
        calc = [[
return GetCritChance();
        ]]
    },
    [A.L["Ranged Critical Chance"]] =
    {
        type = "ranged",
        pre = A.L["RCC: "],
        post = "%",
        round = 2,
        calc = [[
return GetRangedCritChance();
        ]]
    },
    [A.L["Global Spell Power"]] =
    {
        type = "spell",
        pre = A.L["SP: "],
        calc = [[
local spellPower = 0;

for i=2,7 do
    local s = GetSpellBonusDamage(i);

    if ( s > spellPower ) then spellPower = s; end
end

return spellPower;
        ]]
    },
    [A.L["Holy Spell Power"]] =
    {
        type = "spell",
        pre = A.L["Hsp: "],
        calc = [[
return GetSpellBonusDamage(2);
        ]]
    },
    [A.L["Fire Spell Power"]] =
    {
        type = "spell",
        pre = A.L["Fsp: "],
        calc = [[
return GetSpellBonusDamage(3);
        ]]
    },
    [A.L["Nature Spell Power"]] =
    {
        type = "spell",
        pre = A.L["Nsp: "],
        calc = [[
return GetSpellBonusDamage(4);
        ]]
    },
    [A.L["Frost Spell Power"]] =
    {
        type = "spell",
        pre = A.L["Fsp: "],
        calc = [[
return GetSpellBonusDamage(5);
        ]]
    },
    [A.L["Shadow Spell Power"]] =
    {
        type = "spell",
        pre = A.L["Ssp: "],
        calc = [[
return GetSpellBonusDamage(6);
        ]]
    },
    [A.L["Arcane Spell Power"]] =
    {
        type = "spell",
        pre = A.L["Asp: "],
        calc = [[
return GetSpellBonusDamage(7);
        ]]
    },
    [A.L["Global Spell Critical Chance"]] =
    {
        type = "spell",
        pre = A.L["SCC: "],
        post = "%",
        round = 2,
        calc = [[
local spellCrit = 0;

for i=2,7 do
    local c = GetSpellCritChance(i);

    if ( c > spellCrit ) then spellCrit = c; end
end

return spellCrit;
        ]]
    },
    [A.L["Holy Spell Critical Chance"]] =
    {
        type = "spell",
        pre = A.L["Hscc: "],
        post = "%",
        round = 2,
        calc = [[
return GetSpellCritChance(2);
        ]]
    },
    [A.L["Fire Spell Critical Chance"]] =
    {
        type = "spell",
        pre = A.L["Fscc: "],
        post = "%",
        round = 2,
        calc = [[
return GetSpellCritChance(3);
        ]]
    },
    [A.L["Nature Spell Critical Chance"]] =
    {
        type = "spell",
        pre = A.L["Nscc: "],
        post = "%",
        round = 2,
        calc = [[
return GetSpellCritChance(4);
        ]]
    },
    [A.L["Frost Spell Critical Chance"]] =
    {
        type = "spell",
        pre = A.L["Fscc: "],
        post = "%",
        round = 2,
        calc = [[
return GetSpellCritChance(5);
        ]]
    },
    [A.L["Shadow Spell Critical Chance"]] =
    {
        type = "spell",
        pre = A.L["Sscc: "],
        post = "%",
        round = 2,
        calc = [[
return GetSpellCritChance(6);
        ]]
    },
    [A.L["Arcane Spell Critical Chance"]] =
    {
        type = "spell",
        pre = A.L["Ascc: "],
        post = "%",
        round = 2,
        calc = [[
return GetSpellCritChance(7);
        ]]
    },
--    [A.L["Spell Penetration"]] =
--    {
--        type = "spell",
--        pre = A.L["Spen: "],
--        calc = [[
--return GetSpellPenetration();
--        ]]
--    },
    [A.L["Hit Chance"]] =
    {
        type = "melee",
        pre = A.L["Hit: "],
        post = "%",
        round = 2,
        calc = [[
return GetCombatRatingBonus(CR_HIT_MELEE) + GetHitModifier();
        ]]
    },
    [A.L["Ranged Hit Chance"]] =
    {
        type = "ranged",
        pre = A.L["RaHit: "],
        post = "%",
        round = 2,
        calc = [[
return GetCombatRatingBonus(CR_HIT_RANGED) + GetHitModifier();
        ]]
    },
    [A.L["Spell Hit Chance"]] =
    {
        type = "spell",
        pre = A.L["SpHit: "],
        post = "%",
        round = 2,
        calc = [[
return GetCombatRatingBonus(CR_HIT_SPELL) + GetSpellHitModifier();
        ]]
    },
    [A.L["PvP Resilience"]] =
    {
        type = "misc",
        pre = A.L["Pvpr: "],
        post = "%",
        round = 2,
        calc = [[
return GetCombatRatingBonus(COMBAT_RATING_RESILIENCE_PLAYER_DAMAGE_TAKEN);
        ]]
    },
    [A.L["PvP Resilience Rating"]] =
    {
        type = "misc",
        pre = A.L["Pvpr: "],
        calc = [[
return GetCombatRating(COMBAT_RATING_RESILIENCE_PLAYER_DAMAGE_TAKEN);
        ]]
    },
    [A.L["PvP Power"]] =
    {
        type = "misc",
        pre = A.L["Pvpp: "],
        post = "%",
        round = 2,
        calc = [[
return GetCombatRatingBonus(CR_PVP_POWER);
        ]]
    },
    [A.L["PvP Power Rating"]] =
    {
        type = "misc",
        pre = A.L["Pvpp: "],
        calc = [[
return GetCombatRating(CR_PVP_POWER);
        ]]
    },
    [A.L["Your Haste"]] =
    {
        type = "melee",
        pre = A.L["Haste: "],
        post = "%",
        round = 2,
        calc = [[
return GetCombatRatingBonus(CR_HASTE_MELEE);
        ]]
    },
    [A.L["Haste Rating"]] =
    {
        type = "melee",
        pre = A.L["Haste: "],
        calc = [[
return GetCombatRating(CR_HASTE_MELEE);
        ]]
    },
    [A.L["Haste"]] =
    {
        type = "melee",
        pre = A.L["Haste: "],
        post = "%",
        round = 2,
        calc = [[
return GetMeleeHaste();
        ]]
    },
    [A.L["Your Ranged Haste"]] =
    {
        type = "ranged",
        pre = A.L["RaHaste: "],
        post = "%",
        round = 2,
        calc = [[
return GetCombatRatingBonus(CR_HASTE_RANGED);
        ]]
    },
    [A.L["Ranged Haste Rating"]] =
    {
        type = "ranged",
        pre = A.L["RaHaste: "],
        calc = [[
return GetCombatRating(CR_HASTE_RANGED);
        ]]
    },
    [A.L["Ranged Haste"]] =
    {
        type = "ranged",
        pre = A.L["RaHaste: "],
        post = "%",
        round = 2,
        calc = [[
return GetRangedHaste();
        ]]
    },
    [A.L["Your Spell Haste"]] =
    {
        type = "spell",
        pre = A.L["SpHaste: "],
        post = "%",
        round = 2,
        calc = [[
return GetCombatRatingBonus(CR_HASTE_SPELL);
        ]]
    },
    [A.L["Spell Haste Rating"]] =
    {
        type = "spell",
        pre = A.L["SpHaste: "],
        calc = [[
return GetCombatRating(CR_HASTE_SPELL);
        ]]
    },
    [A.L["Spell Haste"]] =
    {
        type = "spell",
        pre = A.L["SpHaste: "],
        post = "%",
        round = 2,
        calc = [[
return UnitSpellHaste("player");
        ]]
    },
    [A.L["Mastery"]] =
    {
        type = "misc",
        pre = A.L["Mast: "],
        round = 2,
        calc = [[
return GetMastery();
        ]]
    },
    [A.L["Mastery Rating"]] =
    {
        type = "misc",
        pre = A.L["Mast: "],
        calc = [[
return GetCombatRating(CR_MASTERY);
        ]]
    },
    [A.L["Expertise"]] =
    {
        type = "melee",
        pre = A.L["Exp: "],
        multiple = 1,
        separator = "/",
        calc = [[
local mainSpeed, offSpeed = UnitAttackSpeed("player");
local expertise, offhandExpertise = GetExpertise();

if ( offSpeed ) then
    return expertise, offhandExpertise;
else
    return expertise;
end
        ]]
    },
    [A.L["Expertise Percent"]] =
    {
        type = "melee",
        pre = A.L["Exp: "],
        post = "%",
        multiple = 1,
        separator = "/",
        calc = [[
local mainSpeed, offSpeed = UnitAttackSpeed("player");
local expertise, offhandExpertise = GetExpertisePercent();

if ( offSpeed ) then
    return expertise, offhandExpertise;
else
    return expertise;
end
        ]]
    },
    [A.L["Healing Power"]] =
    {
        type = "spell",
        pre = A.L["Hpw: "],
        calc = [[
return GetSpellBonusHealing();
        ]]
    },
    [A.L["Mana regen"]] =
    {
        type = "spell",
        note = A.L["Every 5 seconds."],
        pre = A.L["Mr: "],
        round = 0,
        calc = [[
local regen = GetManaRegen();

return regen * 5;
        ]]
    },
    [A.L["Mana regen (casting)"]] =
    {
        type = "spell",
        note = A.L["Every 5 seconds."],
        pre = A.L["Mrc: "],
        round = 0,
        calc = [[
local _,regen = GetManaRegen();

return regen * 5;
        ]]
    },
    [A.L["Vengeance value"]] =
    {
        type = "tank",
        pre = A.L["VV: "],
        round = 0,
        calc = [[
local name,_,_,_,_,_,_,_,_,_,_,_,_, val = UnitBuff("player", "Vengeance");

if ( name ) then
    return val;
else
    return 0;
end
        ]]
    },
    [A.L["Vengeance percent"]] =
    {
        type = "tank",
        pre = A.L["VP: "],
        post = "%",
        round = 2,
        calc = [[
local name,_,_,_,_,_,_,_,_,_,_,_,_, vengeance = UnitBuff("player", "Vengeance");

if ( name ) then
    local maxHealth = UnitHealthMax("player");
    local _, effectiveStam = UnitStat("player", 3);
    local baseStam = min(20, effectiveStam);
    local moreStam = effectiveStam - baseStam;
    local hpByStam = (baseStam + (moreStam*UnitHPPerStamina("player")))*GetUnitMaxHealthModifier("player");
    local maxVengeance = ((maxHealth - hpByStam) * 0.1) + effectiveStam;

    return (vengeance / maxVengeance) * 100;
else
    return 0;
end
        ]]
    },
    [A.L["Power"]] =
    {
        type = "misc",
        pre = A.L["P: "],
        calc = [[
return UnitPower("player");
        ]]
    },
    [A.L["Power with max value"]] =
    {
        type = "misc",
        pre = A.L["P: "],
        multiple = 1,
        separator = "/",
        calc = [[
return UnitPower("player"), UnitPowerMax("player");
        ]]
    },
    [A.L["Power regen"]] =
    {
        type = "misc",
        note = A.L["Every second. Work with your current power type (mana, energy, focus, etc)."],
        pre = A.L["Pr: "],
        round = 0,
        calc = [[
return GetPowerRegen();
        ]]
    },
    [A.L["Power regen (combat)"]] =
    {
        type = "misc",
        note = A.L["Every second. Work with your current power type (mana, energy, focus, etc)."],
        pre = A.L["Prc: "],
        round = 0,
        calc = [[
local _, regen = GetPowerRegen();

return regen;
        ]]
    },
};

-- ********************************************************************************
-- StaticPopup
-- ********************************************************************************

-- Sending a custom stat
StaticPopupDialogs["BrokerStatsSendCustom"] =
{
    text = A.L["Enter the player name:"],
    button1 = A.L["Send"],
    button2 = A.L["Cancel"],
    hasEditBox = true,
    timeout = 0,
    whileDead = true,
    hideOnEscape = true,
    enterClicksFirstButton = true,
    OnShow = function(self) self.button1:Disable(); end,
    EditBoxOnTextChanged = function (self) self:GetParent().button1:Enable(); end,
    EditBoxOnEnterPressed = function(self)
        A:SendStat(self:GetParent().editBox:GetText(), self:GetParent().customStat);
        self:GetParent():Hide();
	end,
	EditBoxOnEscapePressed = function(self) self:GetParent():Hide(); end,
    OnAccept = function(self) A:SendStat(self.editBox:GetText(), self.customStat); end,
    preferredIndex = 3,
};

-- Receiving a custom stat
StaticPopupDialogs["BrokerStatsReceiveCustom"] =
{
    text = A.L["Received custom stat \"%s\" from \"%s\"."],
    button1 = A.L["Accept"],
    button2 = A.L["Cancel"],
    timeout = 0,
    whileDead = true,
    hideOnEscape = true,
    enterClicksFirstButton = true,
    OnAccept = function(self)
        local customTable = loadstring("return "..self.customText);
        customTable = customTable();

        if ( self.customName ) then
            A.db.global.custom[self.customName] = customTable;
            if ( A.AceConfigRegistry ) then A.AceConfigRegistry:NotifyChange("BrokerStatsConfig"); end
        else
            A:Message(A.L["The name provided was empty."], 1, 1);
        end
    end,
    preferredIndex = 3,
};

-- Receiving a custom stat with an existing name
StaticPopupDialogs["BrokerStatsReceiveCustomNameExists"] =
{
    text = A.L["Received custom stat \"%s\" from \"%s\".\n\nYou already got a stat with that name, enter a new name:"],
    button1 = A.L["Accept"],
    button2 = A.L["Cancel"],
    hasEditBox = true,
    timeout = 0,
    whileDead = true,
    hideOnEscape = true,
    enterClicksFirstButton = true,
    OnShow = function(self) self.button1:Disable(); end,
    EditBoxOnTextChanged = function (self) self:GetParent().button1:Enable(); end,
    EditBoxOnEnterPressed = function(self)
        local name = strtrim(self:GetParent().editBox:GetText());

        if ( not name or name == "" ) then
            A:Message(A.L["The name provided was empty."], 1, 1);
            return;
        end

        if ( A.db.global.custom[name] ) then
            A:Message(A.L["The custom stat %s already exists."]:format(name), 1, 1);
            self:GetParent():Hide();
        else
            local customTable = loadstring("return "..self:GetParent().customText);
            customTable = customTable();

            A.db.global.custom[name] = customTable;
            if ( A.AceConfigRegistry ) then A.AceConfigRegistry:NotifyChange("BrokerStatsConfig"); end

            self:GetParent():Hide();
        end
	end,
	EditBoxOnEscapePressed = function(self) self:GetParent():Hide(); end,
    OnAccept = function(self)
        local name = strtrim(self.editBox:GetText());

        if ( not name or name == "" ) then
            A:Message(A.L["The name provided was empty."], 1, 1);
            return;
        end

        if ( A.db.global.custom[name] ) then
            A:Message(A.L["The custom stat %s already exists."]:format(name), 1, 1);
        else
            local customTable = loadstring("return "..self.customText);
            customTable = customTable();

            A.db.global.custom[name] = customTable;
            if ( A.AceConfigRegistry ) then A.AceConfigRegistry:NotifyChange("BrokerStatsConfig"); end
        end
    end,
    preferredIndex = 3,
};

-- Adding a custom stat with an existing name
StaticPopupDialogs["BrokerStatsAddCustomNameExists"] =
{
    text = A.L["You already got a stat with that name, enter a new name:"],
    button1 = A.L["Accept"],
    button2 = A.L["Cancel"],
    hasEditBox = true,
    timeout = 0,
    whileDead = true,
    hideOnEscape = true,
    enterClicksFirstButton = true,
    OnShow = function(self) self.button1:Disable(); end,
    EditBoxOnTextChanged = function (self) self:GetParent().button1:Enable(); end,
    EditBoxOnEnterPressed = function(self)
        local name = strtrim(self:GetParent().editBox:GetText());

        if ( not name or name == "" ) then
            A:Message(A.L["The name provided was empty."], 1, 1);
            return;
        end

        if ( A.db.global.custom[name] ) then
            A:Message(A.L["The custom stat %s already exists."]:format(name), 1, 1);
            self:GetParent():Hide();
        else
            local customTable = loadstring("return "..self:GetParent().customText);
            customTable = customTable();

            A.db.global.custom[name] = customTable;
            if ( A.AceConfigRegistry ) then A.AceConfigRegistry:NotifyChange("BrokerStatsConfig"); end

            self:GetParent():Hide();
        end
	end,
	EditBoxOnEscapePressed = function(self) self:GetParent():Hide(); end,
    OnAccept = function(self)
        local name = strtrim(self.editBox:GetText());

        if ( not name or name == "" ) then
            A:Message(A.L["The name provided was empty."], 1, 1);
            return;
        end

        if ( A.db.global.custom[name] ) then
            A:Message(A.L["The custom stat %s already exists."]:format(name), 1, 1);
        else
            local customTable = loadstring("return "..self.customText);
            customTable = customTable();

            A.db.global.custom[name] = customTable;
            if ( A.AceConfigRegistry ) then A.AceConfigRegistry:NotifyChange("BrokerStatsConfig"); end
        end
    end,
    preferredIndex = 3,
};

-- Disabling a custom ldb display
StaticPopupDialogs["BrokerStatsDisablingLdbObject"] =
{
    text = A.L["Do you want to reload the User Interdace or just hide the custom Data Broker object."],
    button1 = A.L["Reload"],
    button2 = A.L["Hide"],
    timeout = 0,
    whileDead = true,
    hideOnEscape = true,
    enterClicksFirstButton = true,
    OnAccept = function(self)
        ReloadUI();
    end,
    preferredIndex = 3,
};

-- Used when a reset profile is called from the command line
StaticPopupDialogs["BrokerStatsResetProfile"] =
{
    text = A.L["Reset the current configuration profile."],
    button1 = A.L["Accept"],
    button2 = A.L["Cancel"],
    timeout = 0,
    whileDead = true,
    hideOnEscape = true,
    enterClicksFirstButton = true,
    OnAccept = function(self)
        A.db:ResetProfile();
    end,
    preferredIndex = 3,
};
